# jQuery GridManager

A way of building rows and grids with built in editable regions; requires jQuery, jQueryUI, Bootstrap 3.x, optional TinyMCE/CKeditor

## gridmanager.js

### What is it?

Gridmanager allows you to create, reorder, update & delete rows and columns in grid layouts used by frameworks such as Bootstrap 3.x or Foundation 5.x

#### You can:

- Drag and drop columns & rows
- Resize, delete and add columns on the fly
- Apply custom column and row classes
- Nest rows within columns
- Quickly edit the source code directly
- Add row templates for common column width layouts
- Add/Alter the ID of a column or row directly
- Use the dynamically inserted editable regions to change column/row text
- Tie in Rich Text Editors such as TinyMCE & CKEditor to those editable regions
- Change layout modes for easy editing & previewing of responsive classes
- Use fluid rows if you want
- Create your own custom controls for easily extending functionality
 
## Installation
See [GitHub Pages][ghp] for all [docs][docs] + [demos][demo]

[ghp]: http://neokoenig.github.io/jQuery-gridmanager/ 
[docs]: http://neokoenig.github.io/jQuery-gridmanager/docs
[demo]: http://neokoenig.github.io/jQuery-gridmanager/demo

Now available via bower:

```
bower install gridmanager.js
```

#### Licence

Released under the MIT licence. Go wild.

#### Contributors

[Tom King](https://github.com/neokoenig/)
[Percy D Brea](https://github.com/pbreah/) 
